/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package siarchive;

import java.awt.Font;

import javax.swing.UIDefaults;
import javax.swing.UIManager;

/**
 * 
 * @author graf
 *
 */
public class Main
{

    /**
     * @param args
     */
    public static void main( String[] args )
    {
        try
        {
            UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
            // make controls uniformly non-bold
            String key;
            Font font;
            UIDefaults uiDefaults = UIManager.getDefaults();
            key = "Label.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "Button.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "RadioButton.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "CheckBox.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "ComboBox.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "Panel.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "Spinner.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "Table.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "TextArea.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
            key = "ToolTip.font";
            font = ( Font )uiDefaults.get( key );
            uiDefaults.put( key, font.deriveFont( Font.PLAIN ) );
        }
        catch ( Exception e )
        {
            e.printStackTrace();
        }

        MainFrame frame = new MainFrame();
        frame.validate();
        frame.setVisible( true );
    }

}
