/****************************************
 *  COPYRIGHT (C) 2020
 *  Holger Graf
 ****************************************/
package siarchive.components;

/**
 * @author graf
 *
 */
public enum Flavor
{
    nexus(8), retro(8), sirius(6), genesis(4);

    private final int upperGalaxyBound;

    private Flavor(int upperGalaxyBound) {
        this.upperGalaxyBound = upperGalaxyBound;
    }

    public int getUpperGalaxyBound() {
        return upperGalaxyBound;
    }
}
