/****************************************
 *  COPYRIGHT (C) 2010
 *  Holger Graf
 ****************************************/

package siarchive.persistence;

import java.awt.Dimension;

/**
 * @author graf
 *
 */
public class ApplicationConfiguration extends DbObject<ApplicationConfiguration>
{
	private Dimension mainFrameSize;
	private Dimension galaxyViewSize;
	private boolean showGalaxyView;
	private boolean messWithClipboard;
	// REMEBER Getter and Setter!
//    private String fontName;
//    private int fontSize;
	
	public Dimension getMainFrameSize()
	{
		return mainFrameSize;
	}
	
	public void setMainFrameSize(Dimension mainFrameSize)
	{
		this.mainFrameSize = mainFrameSize;
	}
	
	public Dimension getGalaxyViewSize()
	{
		return galaxyViewSize;
	}
	
	public void setGalaxyViewSize(Dimension galaxyViewSize)
	{
		this.galaxyViewSize = galaxyViewSize;
	}
	
	public boolean isShowGalaxyView()
	{
		return showGalaxyView;
	}
	
	public void setShowGalaxyView(boolean showGalaxyView)
	{
		this.showGalaxyView = showGalaxyView;
	}

    public boolean isMessWithClipboard()
    {
        return messWithClipboard;
    }

    public void setMessWithClipboard( boolean messWithClipboard )
    {
        this.messWithClipboard = messWithClipboard;
    }

    public String getFontName()
    {
        return null;
    }

    public void setFontName( String fontName )
    {
    }

    public int getFontSize()
    {
        return 11;
    }

    public void setFontSize( int fontSize )
    {
    }

	@Override
	public void update(ApplicationConfiguration dbObject) 
	{}
}
